WordPress.org

Support

Support » Plugins and Hacks » Installation Issues

Installation Issues

  • Ok, so I think I might be missing something here…

    I installed Live Dashboard – works great!
    Installed Live Theme Preview – fails with database error of “Cannot redeclare live_admin_register_extension()…”
    Installed Live Editor – fails with database errors:
    “Warning: require_once((…)/wp-content/plugins/WP-Live-Editor/lib/live-admin/live-admin.php) [function.require-once]: failed to open stream: No such file or directory in (…)/wp-content/plugins/WP-Live-Editor/live-editor.php on line 80”
    “Fatal error: require_once() [function.require]: Failed opening required ‘(…)/wp-content/plugins/WP-Live-Editor/lib/live-admin/live-admin.php'”
    Installed Getting Started – no problems 🙂

    Using a clean install of WP on local server with no other plugins installed/activated (except Live Dashboard & Getting Started).

    Did I miss someting regarding installation, I couldn’t find any additional info…?

    Thx!

    http://wordpress.org/extend/plugins/live-theme-preview/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Mike Martel

    @mike_cowobo

    Hi Pronkman,

    thanks for trying my plugins! Live Theme Preview should work alongside Live Dashboard, so I’ll have to check why this is not working – I’ll get back to you later today.

    As for Live Editor, it should include the Live Admin classes which are not part of the GitHub repo. To make it work, copy it from your Live Dashboard install: wp-content/plugins/live-dashboard/lib/live-admin to wp-content/plugins/WP-Live-Editor/lib/live-admin.
    Please keep in mind that Live Editor is not fully tested or ready for release yet. Let me know what you think!

    Cheers,
    Mike

    Hello, I’m also using fresh installation of wordpress 3.5.1 and was trying to install this plugin while i encountered the following error, Hope it might be helpful for further development and testing:

    ( ! ) Fatal error: Call-time pass-by-reference has been removed; If you would like to pass argument by reference, modify the declaration of apply_filters(). in <mydomain>\wp-content\plugins\live-theme-preview\lib\live-admin\lib\class.settings.php on line 109

    Plugin Author Mike Martel

    @mike_cowobo

    Hi ironhit786, you’re getting the same problem as the people here. It’s because your server runs PHP5.4. I will fix this shortly!

    Plugin Author Mike Martel

    @mike_cowobo

    @ironhit786: your bug should be fixed in 1.0.2!

    @mike thanx i’ll try it out n let u know.. thnx again!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Installation Issues’ is closed to new replies.